<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{DD9131C7-BF40-45B0-827A-C5E46FC8A89E}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <RootNamespace>MisDataFun</RootNamespace>
    <AssemblyName>MisDataFun</AssemblyName>
    <TargetFrameworkVersion>v4.8</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
    <Deterministic>true</Deterministic>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\..\MisDataFun_Exe\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationIcon>Mes32X32.ico</ApplicationIcon>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationManifest>app.manifest</ApplicationManifest>
  </PropertyGroup>
  <ItemGroup>
    <Compile Include="mes_signal_conf\MES_CONF.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="mes_signal_conf\MES_CONF.Designer.cs">
      <DependentUpon>MES_CONF.cs</DependentUpon>
    </Compile>
    <Compile Include="mes_signal_conf\SqlOperation.cs" />
    <Compile Include="MisDataFun.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="MisDataFun.Designer.cs">
      <DependentUpon>MisDataFun.cs</DependentUpon>
    </Compile>
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="webApi\Analysis_MOM_Msg.cs" />
    <Compile Include="webApi\Controller\WebSendControll.cs" />
    <Compile Include="webApi\Controller\ipcControll.cs" />
    <Compile Include="webApi\InitServer.cs" />
    <Compile Include="webApi\msgResHeader.cs" />
    <Compile Include="webApi\OnlineCheckData.cs" />
    <Compile Include="webApi\WebSendServer.cs" />
    <EmbeddedResource Include="mes_signal_conf\MES_CONF.resx">
      <DependentUpon>MES_CONF.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="MisDataFun.resx">
      <DependentUpon>MisDataFun.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Resources.resx</DependentUpon>
      <DesignTime>True</DesignTime>
    </Compile>
    <None Include="app.manifest" />
    <None Include="jsconfig1.json" />
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config" />
  </ItemGroup>
  <ItemGroup>
    <Reference Include="BasicData">
      <HintPath>..\..\dll_common\BasicData.dll</HintPath>
    </Reference>
    <Reference Include="BouncyCastle.Crypto">
      <HintPath>..\..\dll_common\BouncyCastle.Crypto.dll</HintPath>
    </Reference>
    <Reference Include="ConLink, Version=7.0.1.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\dll_common\ConLink.dll</HintPath>
    </Reference>
    <Reference Include="ConLink19">
      <HintPath>..\..\dll_common\ConLink19.dll</HintPath>
    </Reference>
    <Reference Include="DataLinkMesWork">
      <HintPath>..\..\dll_common\DataLinkMesWork.dll</HintPath>
    </Reference>
    <Reference Include="ICSharpCode.SharpZipLib, Version=1.2.0.7, Culture=neutral, PublicKeyToken=1b03e6acf1164f73, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\dll_common\ICSharpCode.SharpZipLib.dll</HintPath>
    </Reference>
    <Reference Include="MesControl">
      <HintPath>..\..\dll_common\MesControl.dll</HintPath>
    </Reference>
    <Reference Include="MesWork.DeviceDriver">
      <HintPath>..\..\dll_common\MesWork.DeviceDriver.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.Owin, Version=4.2.2.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <HintPath>..\packages\Microsoft.Owin.4.2.2\lib\net45\Microsoft.Owin.dll</HintPath>
    </Reference>
    <Reference Include="Monitor.MesWork">
      <HintPath>..\..\dll_common\Monitor.MesWork.dll</HintPath>
    </Reference>
    <Reference Include="MQTTnet">
      <HintPath>..\..\dll_common\MQTTnet.dll</HintPath>
    </Reference>
    <Reference Include="MQTTnet.Extensions.ManagedClient">
      <HintPath>..\..\dll_common\MQTTnet.Extensions.ManagedClient.dll</HintPath>
    </Reference>
    <Reference Include="Newtonsoft.Json">
      <HintPath>..\..\dll_common\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="NPOI, Version=2.4.1.0, Culture=neutral, PublicKeyToken=0df73ec7942b34e1, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\dll_common\NPOI.dll</HintPath>
    </Reference>
    <Reference Include="NPOI.OOXML, Version=2.4.1.0, Culture=neutral, PublicKeyToken=0df73ec7942b34e1, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\dll_common\NPOI.OOXML.dll</HintPath>
    </Reference>
    <Reference Include="NPOI.OpenXml4Net, Version=2.4.1.0, Culture=neutral, PublicKeyToken=0df73ec7942b34e1, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\dll_common\NPOI.OpenXml4Net.dll</HintPath>
    </Reference>
    <Reference Include="NPOI.OpenXmlFormats, Version=2.4.1.0, Culture=neutral, PublicKeyToken=0df73ec7942b34e1, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\dll_common\NPOI.OpenXmlFormats.dll</HintPath>
    </Reference>
    <Reference Include="Opc.Ua.Client">
      <HintPath>..\..\dll_common\Opc.Ua.Client.dll</HintPath>
    </Reference>
    <Reference Include="Opc.Ua.Configuration">
      <HintPath>..\..\dll_common\Opc.Ua.Configuration.dll</HintPath>
    </Reference>
    <Reference Include="Opc.Ua.Core">
      <HintPath>..\..\dll_common\Opc.Ua.Core.dll</HintPath>
    </Reference>
    <Reference Include="OpcUaHelper">
      <HintPath>..\..\dll_common\OpcUaHelper.dll</HintPath>
    </Reference>
    <Reference Include="Owin, Version=1.0.0.0, Culture=neutral, PublicKeyToken=f0ebd12fd5e55cc5, processorArchitecture=MSIL">
      <HintPath>..\packages\Owin.1.0\lib\net40\Owin.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Configuration" />
    <Reference Include="System.Data" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="System.Data.Linq" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Net.Http.Formatting, Version=5.2.7.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\dll_common\System.Net.Http.Formatting.dll</HintPath>
    </Reference>
    <Reference Include="System.Net.Security, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\dll_fun\System.Net.Security.dll</HintPath>
    </Reference>
    <Reference Include="System.Net.WebSockets, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\dll_fun\System.Net.WebSockets.dll</HintPath>
    </Reference>
    <Reference Include="System.Net.WebSockets.Client, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\dll_fun\System.Net.WebSockets.Client.dll</HintPath>
    </Reference>
    <Reference Include="System.Security.Cryptography.Algorithms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\dll_fun\System.Security.Cryptography.Algorithms.dll</HintPath>
    </Reference>
    <Reference Include="System.Security.Cryptography.Encoding, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\dll_fun\System.Security.Cryptography.Encoding.dll</HintPath>
    </Reference>
    <Reference Include="System.Security.Cryptography.Primitives, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\dll_fun\System.Security.Cryptography.Primitives.dll</HintPath>
    </Reference>
    <Reference Include="System.Security.Cryptography.X509Certificates, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\dll_fun\System.Security.Cryptography.X509Certificates.dll</HintPath>
    </Reference>
    <Reference Include="System.Web.Cors">
      <HintPath>..\..\dll_common\System.Web.Cors.dll</HintPath>
    </Reference>
    <Reference Include="System.Web.Http">
      <HintPath>..\..\dll_common\System.Web.Http.dll</HintPath>
    </Reference>
    <Reference Include="System.Web.Http.Cors">
      <HintPath>..\..\dll_common\System.Web.Http.Cors.dll</HintPath>
    </Reference>
    <Reference Include="System.Web.Http.SelfHost">
      <HintPath>..\..\dll_common\System.Web.Http.SelfHost.dll</HintPath>
    </Reference>
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
    <Reference Include="System.Xml.Linq" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\Common\09MesDataFunction\MesDataFunction\01-MesDataFunction.csproj">
      <Project>{90e76fb4-646d-45e2-95db-0b8ab4e465d6}</Project>
      <Name>01-MesDataFunction</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Common\MyLog4Net\00_MyLog4Net.csproj">
      <Project>{1dc48c83-1842-4de8-acaf-26e1e7f7c58f}</Project>
      <Name>00_MyLog4Net</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\MisDataFunction\Function1051\Function1051.csproj">
      <Project>{b5a0baa3-c1a7-4aab-9486-2e650adaca7e}</Project>
      <Name>Function1051</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\MisDataFunction\Function1052\Function1052.csproj">
      <Project>{5fee5c91-8419-49ff-b2c2-47476f0b8c68}</Project>
      <Name>Function1052</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\MisDataFunction\Function1053\Function1053.csproj">
      <Project>{ca8a12c5-7bf0-4489-93fa-180b1c492bba}</Project>
      <Name>Function1053</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\MisDataFunction\Function1054\Function1054.csproj">
      <Project>{cc45d613-11b9-48af-b073-6523d6273525}</Project>
      <Name>Function1054</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\MisDataFunction\Function1055\Function1055.csproj">
      <Project>{86df6a20-91fc-4b62-aabf-116f933e31aa}</Project>
      <Name>Function1055</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\MisDataFunction\Function1056\Function1056.csproj">
      <Project>{191419a0-cceb-4816-bedc-c39abf2981a7}</Project>
      <Name>Function1056</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\MisDataFunction\Function1057\Function1057.csproj">
      <Project>{9377bb04-b518-4e77-8b90-e56fe7980204}</Project>
      <Name>Function1057</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\MisDataFunction\Function1058\Function1058.csproj">
      <Project>{fc07f99c-0c97-4fef-9a0e-ca4883400464}</Project>
      <Name>Function1058</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\MisDataFunction\Function1059\Function1059.csproj">
      <Project>{913ce3c1-7d16-4a19-a9b0-bbcdb6770b4b}</Project>
      <Name>Function1059</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\MisDataFunction\Function1060\Function1060.csproj">
      <Project>{d5dc93c7-91dd-4c82-9444-64180f15a9c9}</Project>
      <Name>Function1060</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\MisDataFunction\Function1061\Function1061.csproj">
      <Project>{9ace8658-5e01-4323-8a59-d43cffcb47f3}</Project>
      <Name>Function1061</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\MisDataFunction\Function1065\Function1065.csproj">
      <Project>{abe98fa8-80eb-40e8-a93a-d70f14eb80dc}</Project>
      <Name>Function1065</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <Content Include="Mes32X32.ico" />
    <None Include="Resources\连接状态.png" />
    <None Include="Resources\断开状态.png" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>